File: changelog

package info (click to toggle)
nitime 0.7-1
  • links: PTS, VCS
  • area: main
  • in suites: buster, sid, stretch
  • size: 12,328 kB
  • ctags: 1,421
  • sloc: python: 10,507; makefile: 105; sh: 34
file content (127 lines) | stat: -rw-r--r-- 4,479 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
nitime (0.7-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - added python-{setuptools,pytest} into build-depends
  * debian/rules
    - skip slightly failing test_coherence_linear_dependence for now
      (see https://github.com/nipy/nitime/issues/150)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 06 Jan 2017 15:18:05 -0500

nitime (0.6+git15-g4951606-1) unstable; urgency=medium

  * New upstream snapshot from rel/0.6-15-g4951606 
    - contains fixes for compatibility with recent matplotlib etc
  * debian/control
    - boosted policy to 3.9.8

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 03 Aug 2016 22:42:06 -0400

nitime (0.6-1) unstable; urgency=medium

  * Fresh upstream bugfix release (Closes: #812700)
  * debian/patches -- dropped 2 patches previously picked up from upstream VCS
  * debian/watch -- adjusted for deprecated githubredir

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 07 Feb 2016 18:57:21 -0500

nitime (0.5-3) unstable; urgency=medium

  * Include upstream patch for modern matplotlib versions (Closes: #802524).

 -- Michael Hanke <mih@debian.org>  Wed, 30 Dec 2015 10:18:40 +0100

nitime (0.5-2) unstable; urgency=medium

  * Update maintainer email address.
  * Remove dependency on python-support, while upgrading to dh9
    (Closes: #786233).
  * Drop embedded javascript library in favor of a dependency on
    libjs-underscore.
  * Bump Standards-version, no changes necessary.

 -- Michael Hanke <mih@debian.org>  Mon, 24 Aug 2015 18:53:56 +0200

nitime (0.5-1) unstable; urgency=medium

  * New release
    - does not ship sphinxext/inheritance_diagram.py any longer
      (Closes: #706533)
  * debian/copyright
    - extended to cover added 3rd party snippets and updated years
  * debian/watch
    - updated to use githubredir.debian.net service
  * debian/patches
    - debian/patches/up_version_info_python2.6 for compatibility with
      python2.6 (on wheezy etc)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 14 Jun 2014 07:34:18 -0400

nitime (0.4-2) unstable; urgency=low

  * Added graphviz to Build-Depends (Closes: #608908)
    Sorry that I have missed in -1 upload
  * Adding additional cleaning to assure pristine state for source
    package rebuilding (Closes: #643226, original report was about version.py
    being modified -- seems to be not the case any longer)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 20 Jun 2012 09:01:35 -0400

nitime (0.4-1) unstable; urgency=low

  * New upstream release
    - fix commit for lazyimports pickling
    - compatible with scipy 0.10 API breakage (Closes: #671978)
  * debian/control:
    - added XS-Python-Version >= 2.6 (for squeeze backports)
    - reindented/untabified *Depends
    - boosted policy compliance to 3.9.3 (no further changes)
    - upcased Depends in ${python:Depends}.  Hopefully finally it
      (Closes: #614220)
  * debian/copyright:
    - updated years and fixed for DEP5 compliance
  * debian/rules
    - disable test_lazy_reload test (known to fail whenever ran by nosetest)
    - export HOME=$(CURDIR)/build just to avoid possible FTBFs
  * debian/watch
    - adjusted to fetch from tags

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 Jun 2012 16:04:24 -0400

nitime (0.3.1-1) unstable; urgency=low

  * Fresh bugfix release: addresses compatibility concerns allowing easy
    backporting
  * CP commit to fixup __version__ to report 0.3.1 instead of 0.4.dev

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 17 Aug 2011 17:35:17 -0400

nitime (0.3-1) UNRELEASED; urgency=low

  * Fresh upstream release
  * Adjusted debian/watch and added a rudimentary get-orig-source which 
    uses uscan to fetch tarballs from github

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 15 Aug 2011 16:29:48 -0400

nitime (0.2.99-1) unstable; urgency=low

  * Pre-0.3 snapshot release
  * Boost policy compliance to 3.9.2 (no changes due)
  * Assure off-screen backend (Agg) for matplotlib while building docs

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 29 May 2011 21:48:41 -0400

nitime (0.2-2) unstable; urgency=low

  * Proper casing in ${python:depends} (Closes: #614220).
    Thanks Jakub Wilk for the report and for the fix

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 20 Feb 2011 09:40:41 -0500

nitime (0.2-1) unstable; urgency=low

  * Initial release (Closes: #600714)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 22 Oct 2010 14:32:15 -0400